- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: ce8c4fbb-0ce5-4108-8760-50ab5ebb61d5
    creation_time: 2023-02-17T13:36:44.617879Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6ed1d7f4-0d0f-42bb-98b9-3c5e7025b1f4
    creation_time: 2023-02-17T13:36:44.618256Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 64ae4b5f-b895-4c29-acce-a457c484e50d
    creation_time: 2023-02-17T13:36:44.618346Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9e4c6ced-6656-4ed5-8a3c-0adbc2ee1371
    creation_time: 2023-02-17T13:36:44.618427Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d3a1f89a-22ba-4478-8089-ff2c20cd4a45
    creation_time: 2023-02-17T13:36:44.618508Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f5168164-fc1d-48f4-9707-fda5054c9f03
    creation_time: 2023-02-17T13:36:44.618588Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0857e3d3-64dc-4c9e-b154-1b3b1b73b39a
    creation_time: 2023-02-17T13:36:44.618670Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound5.c: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound5.c
    file_hash: ee7efdbf8e082fecbcf7a0b7187f01592d4dffd310592a1175678347e3e281b9
    line: 57
    column: 0
    function: main
  location_invariant:
    string: ((long long) 4*A) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

